From fe16cefa81b248352e06253130746f86acd74c72 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 13 Jul 2021 13:06:54 -0400
Subject: [PATCH v3] Improve installation instructions a bit

Reported-by: Daniel Westermann
Discussion: https://postgr.es/m/GV0P278MB04835AAEACF894617574EB6BD25A9@GV0P278MB0483.CHEP278.PROD.OUTLOOK.COM
---
 doc/src/sgml/installation.sgml | 41 +++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 18 deletions(-)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 05b77ec8e6..5a900da0a3 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -354,32 +354,37 @@ su - postgres
   <title>Getting the Source</title>
 
   <para>
-   The <productname>PostgreSQL</productname> &version; sources can be obtained from the
-   download section of our
-   website: <ulink url="https://www.postgresql.org/download/"></ulink>.  You
-   should get a file named <filename>postgresql-&version;.tar.gz</filename>
-   or <filename>postgresql-&version;.tar.bz2</filename>. After
-   you have obtained the file, unpack it:
+   The version control repository for <productname>PostgreSQL</productname>
+   can be obtained from
+   <ulink url="https://git.postgresql.org/gitweb/?p=postgresql.git;a=summary"></ulink>;
+   this is the recommended way to obtain the
+   <productname>PostgreSQL</productname> source code.
+   You can obtain a clone of the repository by running
 <screen>
-<userinput>gunzip postgresql-&version;.tar.gz</userinput>
-<userinput>tar xf postgresql-&version;.tar</userinput>
+<userinput>git clone https://git.postgresql.org/git/postgresql.git</userinput>
+</screen>
+   This will create a directory <filename>postgresql</filename> under the current
+   directory with the <productname>PostgreSQL</productname> sources.
+   Change into that directory for the rest of the installation procedure.
+   See <xref linkend="git"/> for further information.
+  </para>
+
+  <para>
+   Alternatively,
+   the released versions can be obtained from the download section of our
+   website: <ulink url="https://www.postgresql.org/ftp/source/"></ulink>.
+   You should get a file named <filename>postgresql-&version;.tar.gz</filename>
+   or <filename>postgresql-&version;.tar.bz2</filename>.
+   After you have obtained the file, unpack it:
+<screen>
+<userinput>tar xfa postgresql-&version;.tar.gz</userinput>
 </screen>
-   (Use <command>bunzip2</command> instead of <command>gunzip</command> if
-   you have the <filename>.bz2</filename> file.  Also, note that most
-   modern versions of <command>tar</command> can unpack compressed archives
-   directly, so you don't really need the
-   separate <command>gunzip</command> or <command>bunzip2</command> step.)
    This will create a directory
    <filename>postgresql-&version;</filename> under the current directory
    with the <productname>PostgreSQL</productname> sources.
    Change into that directory for the rest
    of the installation procedure.
   </para>
-
-  <para>
-   You can also get the source directly from the version control repository, see
-   <xref linkend="sourcerepo"/>.
-  </para>
  </sect1>
 
  <sect1 id="install-procedure">
-- 
2.30.2

